Bug 651247 - RFE: Remove Alternate Text on Mouse Over
RFE: Remove Alternate Text on Mouse Over
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-08 23:15 EST by Michael Hideo
Modified: 2010-12-07 22:49 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Previously, publican set the title attribute for every formal element (i.e. any element with a title). Consequently, when viewed in a browser, hovering the mouse over the elements would result in the title of the element to be presented in a fashion similar to image alt text. With this update, publican only sets the title attribute when alt text is present.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-07 22:49:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Hideo 2010-11-08 23:15:27 EST
Description of problem:

Name: L*** M***
Email: *****
Summary: Displaying Redhat Documentation pages

Description of the problem: When displaying Documentation pages, such as http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/apcs04s04.html, there are a couple of things that I find annoying.

1 - Alternate Text is set, usually to the title of the last header, and this is displayed whenever I move the mouse. This means that I cannot use the mouse cursor as a pointing device to help reading or to keep my place as I investigate matters relating to what I just read.

Alternate Text is great for pictures but is overkill for text.
Comment 1 Jeff Fearn 2010-11-09 22:47:49 EST
Prevented title attribute from being set unless an alt text is present.

Fixed in build: 2.3-0%{?dist}.t11
Comment 2 Misty Stanley-Jones 2010-11-23 23:31:34 EST
Verified by building a test book in Publican and comparing the mouse-over behavior to a document currently on the stage.
Comment 3 Ryan Lerch 2010-11-28 19:28:30 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, publican set the title attribute for every formal element (i.e. any element with a title). Consequently, when viewed in a browser, hovering the mouse over the elements would result in the title of the element to be presented in a fashion similar to image alt text. With this update, publican only sets the title attribute when alt text is present.
Comment 4 Jeff Fearn 2010-12-07 22:49:14 EST
Publican 2.4 has shipped with a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.